Skip to navigation

Get Account Batch

View as Markdown

Get information about multiple user accounts. At most 300 accounts may be queried per request.

Required scope: sharing.read

Endpoint format: RPC

Authentication: User

Authentication

AuthorizationBearer

OAuth 2.0 token issued to a specific user. Use Authorization: Bearer <token>.

Public clients should use the authorization code flow with PKCE (S256).

For background or offline access, send token_access_type=offline during authorization and use the returned refresh token to obtain new access tokens.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Headers

Dropbox-API-Select-UserstringOptional

Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Path-RootstringOptional

Scopes path-based operations to a namespace (root). The value is a JSON serialization of the common.PathRoot union: {".tag": "home"}, {".tag": "root", "root": "<namespace_id>"}, or {".tag": "namespace_id", "namespace_id": "<namespace_id>"}. On failure the request returns 422 with a common.PathRootError.

Request

This endpoint expects an object.
account_idslist of stringsRequired
List of user account identifiers. Should not contain any duplicate account IDs.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
account_idstring=40 characters
The user's unique and stable Dropbox ID.
disabledboolean
Whether the user has been disabled.
emailstring

The user’s email address. Do not rely on this without checking the email_verified field. Even then, it’s possible that the user has since lost access to their email. Note: email is not a unique or stable identifier for a Dropbox account. Users can change their email, and emails can be reused by different accounts. Apps should not use email as a key for account identification; use account_id instead.

email_verifiedboolean
Whether the user has verified their email address.
is_teammateboolean

Whether this user is a teammate of the current user. If this account is the current user’s account, then this will be true.

nameobject
Details of a user's name.
profile_photo_urlstring or nullOptional
URL for the photo representing the user, if one is set.
team_member_idstring or nullOptional

The user’s unique team member id. This field will only be present if the user is part of a team and is_teammate is true.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error